zipios::FilterInputStreambuf Class Reference

An input streambuf filter is a streambuf that filters the input it gets from the streambuf it is attached to. More...

`#include <filterinputstreambuf.h>`

Inheritance diagram for zipios::FilterInputStreambuf:
[legend]

## Public Member Functions

| FilterInputStreambuf (streambuf *inbuf, bool del_inbuf=false)
| Constructor.
virtual | ~FilterInputStreambuf ()
| Destructor.

## Protected Attributes

int | _s_pos
streambuf * | _inbuf
bool | _del_inbuf

## Detailed Description

An input streambuf filter is a streambuf that filters the input it gets from the streambuf it is attached to.

FilterInputStreambuf is a base class to derive input streambuf filters from.

Definition at line 15 of file filterinputstreambuf.h.

## Constructor & Destructor Documentation

## FilterInputStreambuf()

zipios::FilterInputStreambuf::FilterInputStreambuf | ( | streambuf * | inbuf,
|  | bool | del_inbuf = false )

explicit

Constructor.

Parameters

  inbuf | the streambuf to use for input.
  del_inbuf | if true is specified inbuf will be deleted, when the FilterInputStreambuf is destructed.

Definition at line 8 of file filterinputstreambuf.cpp.

## ~FilterInputStreambuf()

zipios::FilterInputStreambuf::~FilterInputStreambuf | ( |  | ) |

virtual

Destructor.

Definition at line 18 of file filterinputstreambuf.cpp.

## Member Data Documentation

## _del_inbuf

bool zipios::FilterInputStreambuf::_del_inbuf

protected

Definition at line 29 of file filterinputstreambuf.h.

## _inbuf

streambuf* zipios::FilterInputStreambuf::_inbuf

protected

Definition at line 28 of file filterinputstreambuf.h.

## _s_pos

int zipios::FilterInputStreambuf::_s_pos

protected

Definition at line 27 of file filterinputstreambuf.h.

The documentation for this class was generated from the following files:

- filterinputstreambuf.h
- filterinputstreambuf.cpp